### Method

# Camel Service set_password

since: 3.4

#### Declaration [src]

    void
    camel_service_set_password (
      CamelService* service,
      const gchar* password
    )

#### Description [src]

Sets the password for `service`. Use this function to cache the password in memory after obtaining it through camel_session_get_password(). Some SASL mechanisms use this when attempting to authenticate.

Available since: 3.4

Sets property | `Camel.Service:password`

#### Parameters

`password`

  Type: `const gchar*`

  The password for `service`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.